
%% añadir path
addpath '/Users/mauricio/Documents/instalacion D3D/Instaladores/Qplop para matlab/wlsettings/dl_d3d'

%% PARA BATIMEPRIAS 
Nfs1 = vs_use('trim-Tumaco1.dat')
Nfs2 = vs_use('trim-Tumaco2.dat')
%% PARA VER QUE VARIABLES TENGO 
Output = vs_disp(Nfs)
Output = vs_disp(Nfs, [])
Output = vs_disp(Nfs,'map-series', [])
Output = vs_disp(Nfs,'map-series','S1', [])
%% PARA OBTENER LOS DATOS QUE QUIERA EN EL TIEMPO QUE QUIERA 
%COORDENADAS es mejor utilizar get ern vez de let ya que me da el dataframe
%organizado
ENX=vs_let(Nfs,'map-const','XZ')
ENX=reshape(ENX,[],1)
ENY=vs_let(Nfs,'map-const','YZ')
ENY=reshape(ENY,[],1)
%PROFUNDIDAD
% {1:2:10} ESTO SIGNIFICA LOS PASOS DE TIEMPO AQUI SOLO ESTA LEYENDO EL
% PRIMER PASO DE TIEMPO, 3, 5 ,7 Y ,9  Y {1:10 0} es para leer las 10
% primeras filas, recordar que en matlab se empieza a contar desde 1 y no
% el 0 
%BATIMETRIA INICIAL IN Z POINT
WL=(vs_let(Nfs,'map-const','DPS0'))
WL=reshape(WL,[],1)
%BATIMETRIA INICIAL CON GET
WLf=(vs_get(Nfs,'map-const','DPS0'))
WLf=reshape(WLf,[],1)

%% BATIMETRIAS SIMULADAS

%% VARIABLES OLEAJE
Nfs1 =vs_use('wavm-tumaco.dat')
%% LEER com DP es la misma batimetria de DPS0
Nfs2 = vs_use('com-Tumaco.dat')
Output = vs_disp(Nfs2)
Data=vs_get(Nfs2,'BOTTIM','DP')
Data=reshape(Data,[],1)

%% CON QPREAD %% primero correr con times para ver el paso de tiempo
%% PARA WATHER DEPTH 
% que voy a coger o los pasos de tiempo elegidos 
%despues pasar a excel el numero para convertirlo de notacion cientifica a
%numero real 
% readWadep1=qpread(Nfs,'water depth','times')
readWadep1=qpread(Nfs,'water depth','data',1)
Wadep1=readWadep1.Val
Wadep1=Wadep1.'
Wadep1=reshape(Wadep1,[],1)

%% PASO FINAL EL MAS IMPORTANTE
readWadepF=qpread(Nfs,'water depth','data',367:397)
WadepF=readWadepF.Val
% Saco la media de las 31 paginas que tengo de julio
WadepF=mean(WadepF)
%saco la transpuesta para que me quede una matriz de 26*50
WadepF = permute(WadepF,[3 2 1])
%creo mi vector
WadepF=reshape(WadepF,[],1)

%% PASO INICIAL BED LEVEL

readbedep1=qpread(Nfs,'initial bed level','data')
bedep1=readbedep1.Val
bedep1=bedep1.'
bedep1=reshape(bedep1,[],1)

%% PASO FINAL EL MAS IMPORTANTE
readbedepF=qpread(Nfs,'bed level in water level points','data',367:397)
bedepF=readbedepF.Val
% Saco la media de las 31 paginas que tengo de julio
bedepF=mean(bedepF)
%saco la transpuesta para que me quede una matriz de 26*50
bedepF = permute(bedepF,[3 2 1])
%creo mi vector
bedepF=reshape(bedepF,[],1)